<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>Microservice Traffic Simulator</title>
    <script src="https://d3js.org/d3.v5.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/sockjs-client@1/dist/sockjs.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@stomp/stompjs@5.0.0/bundles/stomp.umd.min.js"></script>
    <script src="/webjars/jquery/jquery.min.js"></script>
    <script src="/webjars/sockjs-client/sockjs.min.js"></script>
    <script src="/webjars/stomp-websocket/stomp.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
    <script th:src="@{/js/websocket.js}"></script>
</head>

<body>
    <div>
        <div style="float:right;padding-right:20px">Time: <span id="time">0</span></div>
        <h3>Simulator Logs</h3>
    </div>
    <div>
        <select id="time_filter" onchange="setTimeFilter();">
            <option value="-1">All time</option>
            <option value="1">Last step</option>
            <option value="2">Last 2 steps</option>
            <option value="5">Last 5 steps</option>
            <option value="10">Last 10 steps</option>
        </select>
        <select id="agent_filter" onchange="setAgentFilter();">
            <option value="-1">All Agents</option>
        </select>
    </div>
    <div id="cars">
    </div>
    <div id="info">

    </div>

    <script th:src="@{/js/information.js}"></script>
</body>
</html>